#include "camp.h"

#include "campgrid.h"
#include "campform.h"
#include "settings/campsettingsform.h"

Camp::Camp()
{
}

void Camp::initServiceUi()
{
    m_service = new Service<CampData>();
    m_ui = new CampGrid();
    ((CampGrid*)m_ui)->setForm(new CampForm());
    m_settingsUi = new CampSettingsForm();
}

QIcon Camp::pluginIcon()
{
    return QIcon(":/icons/campPlugin.svg");
}
